Type to search.

Create a data view

Base URL
https://{kibana_url}
  • POST /api/data_views/data_view
  • POST /s/{space_id}/api/data_views/data_view
Auth

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

Cross-site request forgery protection

Request body

data_view object required

The data view object.

allowNoIndex boolean

Allows the data view saved object to exist before the data is available.

fieldAttrs map string to object
fieldFormats object

A map of field formats by field name.

fields object
id string
name string

The data view name.

namespaces string[]

An array of space identifiers for sharing the data view between multiple spaces.

runtimeFieldMap map string to object
timeFieldName string

The timestamp field name, which you use for time-based data views.

title string required

Comma-separated list of data streams, indices, and aliases that you want to search. Supports wildcards (*).

type string

When set to rollup, identifies the rollup data views.

version string
override boolean · default: false

Override an existing data view if a data view with the provided title already exists.

Responses

Indicates a successful call.

application/json